//----------------------------------------------------------------------------
//  Project BUTTON
//  http://space.tin.it/computer/giparrel
//  Copyright  1998. All Rights Reserved.
//
//  SUBSYSTEM:    BUTTON Application
//  FILE:         buttonad.h
//  AUTHOR:       Jo Parrello.
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TBUTTONAboutDlg (TDialog).
//
//----------------------------------------------------------------------------
#if !defined(buttonad_h)              // Sentry, use file only if it's not already included.
#define buttonad_h

#include <owl/static.h>

#include "buttonap.rh"                  // Definition of all resources.


//{{TDialog = TBUTTONAboutDlg}}
class TBUTTONAboutDlg : public TDialog {
  public:
    TBUTTONAboutDlg(TWindow* parent, TResId resId = IDD_ABOUT, TModule* module = 0);
    virtual ~TBUTTONAboutDlg();

//{{TBUTTONAboutDlgVIRTUAL_BEGIN}}
  public:
    void SetupWindow();
//{{TBUTTONAboutDlgVIRTUAL_END}}
};    //{{TBUTTONAboutDlg}}


// Reading the VERSIONINFO resource.
//
class TProjectRCVersion {
  public:
    TProjectRCVersion(TModule* module);
    virtual ~TProjectRCVersion();

    bool GetProductName(LPSTR& prodName);
    bool GetProductVersion(LPSTR& prodVersion);
    bool GetCopyright(LPSTR& copyright);
    bool GetDebug(LPSTR& debug);

  protected:
    uint8 far*  TransBlock;
    void far*   FVData;

  private:
    // Don't allow this object to be copied.
    //
    TProjectRCVersion(const TProjectRCVersion&);
    TProjectRCVersion& operator = (const TProjectRCVersion&);
};


#endif  // buttonad_h sentry.
