//----------------------------------------------------------------------------
//  Project BUTTON
//  http://space.tin.it/computer/giparrel
//  Copyright  1998. All Rights Reserved.
//
//  SUBSYSTEM:    BUTTON Application
//  FILE:         buttonm1.h
//  AUTHOR:       Jo Parrello.
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TBUTTONMDIChild (TMDIChild).
//
//----------------------------------------------------------------------------
#if !defined(buttonm1_h)              // Sentry, use file only if it's not already included.
#define buttonm1_h

#include "buttonap.rh"            // Definition of all resources.


//{{TMDIChild = TBUTTONMDIChild}}
class TBUTTONMDIChild : public TMDIChild {
  public:
    TBUTTONMDIChild(TMDIClient& parent, const char far* title, TWindow* clientWnd, bool shrinkToClient = false, TModule* module = 0);
    virtual ~TBUTTONMDIChild();

//{{TBUTTONMDIChildRSP_TBL_BEGIN}}
  protected:
    void EvMenuSelect(uint menuItemId, uint flags, HMENU hMenu);
//{{TBUTTONMDIChildRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(TBUTTONMDIChild);
};    //{{TBUTTONMDIChild}}


#endif  // buttonm1_h sentry.
