//----------------------------------------------------------------------------
//  Project BUTTON
//  http://space.tin.it/computer/giparrel
//  Copyright  1998. All Rights Reserved.
//
//  SUBSYSTEM:    BUTTON Application
//  FILE:         buttonev.h
//  AUTHOR:       Jo Parrello.
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TBUTTONEditView (TEditView).
//
//----------------------------------------------------------------------------
#if !defined(buttonev_h)              // Sentry, use file only if it's not already included.
#define buttonev_h

#include <owl/editview.h>

#include "buttonap.rh"          // Definition of all resources.


//{{TEditView = TBUTTONEditView}}
class TBUTTONEditView : public TEditView {
  public:
    TBUTTONEditView(TDocument& doc, TWindow* parent = 0);
    virtual ~TBUTTONEditView();

//{{TBUTTONEditViewVIRTUAL_BEGIN}}
  public:
    virtual void Paint(TDC& dc, bool erase, TRect& rect);
//{{TBUTTONEditViewVIRTUAL_END}}
//{{TBUTTONEditViewRSP_TBL_BEGIN}}
  protected:
    void EvGetMinMaxInfo(MINMAXINFO far& minmaxinfo);
//{{TBUTTONEditViewRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(TBUTTONEditView);
};    //{{TBUTTONEditView}}


#endif  // buttonev_h sentry.
